# DataExchange
TKSTEPBase
StepRepr

# StepRepr_GlobalUncertaintyAssignedContext Class Reference

`#include <StepRepr_GlobalUncertaintyAssignedContext.hxx>`

Inheritance diagram for StepRepr_GlobalUncertaintyAssignedContext:

[legend]

## Public Member Functions

Standard_EXPORT | StepRepr_GlobalUncertaintyAssignedContext ()
| Returns a GlobalUncertaintyAssignedContext .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aContextIdentifier, const Handle(TCollection_HAsciiString)&aContextType)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aContextIdentifier, const Handle(TCollection_HAsciiString)&aContextType, const Handle(StepBasic_HArray1OfUncertaintyMeasureWithUnit)&aUncertainty)
Standard_EXPORT void | SetUncertainty (const Handle(StepBasic_HArray1OfUncertaintyMeasureWithUnit)&aUncertainty)
Standard_EXPORT Handle_StepBasic_HArray1OfUncertaintyMeasureWithUnit | Uncertainty () const
Standard_EXPORT Handle_StepBasic_UncertaintyMeasureWithUnit | UncertaintyValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbUncertainty () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_HArray1OfUncertaintyMeasureWithUnit | uncertainty

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_GlobalUncertaintyAssignedContext::StepRepr_GlobalUncertaintyAssignedContext | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepRepr_GlobalUncertaintyAssignedContext::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_RepresentationContext.

virtual Standard_EXPORT void StepRepr_GlobalUncertaintyAssignedContext::Init | ( | const Handle(TCollection_HAsciiString)& | aContextIdentifier,
|  | const Handle(TCollection_HAsciiString)& | aContextType,
|  | const Handle(StepBasic_HArray1OfUncertaintyMeasureWithUnit)& | aUncertainty
| ) | `[virtual]`

virtual Standard_EXPORT void StepRepr_GlobalUncertaintyAssignedContext::Init | ( | const Handle(TCollection_HAsciiString)& | aContextIdentifier,
|  | const Handle(TCollection_HAsciiString)& | aContextType
| ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationContext.

Standard_EXPORT Standard_Integer StepRepr_GlobalUncertaintyAssignedContext::NbUncertainty | ( |  | ) | const

Standard_EXPORT void StepRepr_GlobalUncertaintyAssignedContext::SetUncertainty | ( | const Handle(StepBasic_HArray1OfUncertaintyMeasureWithUnit)& | aUncertainty | ) |

Standard_EXPORT Handle_StepBasic_HArray1OfUncertaintyMeasureWithUnit StepRepr_GlobalUncertaintyAssignedContext::Uncertainty | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_UncertaintyMeasureWithUnit StepRepr_GlobalUncertaintyAssignedContext::UncertaintyValue | ( | const Standard_Integer | num | ) | const

## Field Documentation

Handle_StepBasic_HArray1OfUncertaintyMeasureWithUnit StepRepr_GlobalUncertaintyAssignedContext::uncertainty `[private]`

The documentation for this class was generated from the following file:

- StepRepr_GlobalUncertaintyAssignedContext.hxx